backend:
  name: gitea
  repo: "pmi/pmi-site"  # Например: rmn/pmi-site или komisc/pmi-website
  gitea_domain: "https://gitea.komisc.ru"   # Адрес вашего Gitea сервера
  branch: main
  auth_type: pkce
  app_id: "06c80b30-fe28-4966-81e7-b6d59c5b4a87"        # Вставьте сюда Client ID из настроек Gitea

# Папка, куда будут сохраняться загруженные картинки
media_folder: "static/uploads"
public_folder: "/uploads"

# Настройка раздела "Новости"
collections:
  - name: "post"
    label: "Новости и события"
    folder: "content/post"
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}/index"
    fields:
      - {label: "Заголовок", name: "title", widget: "string"}
      - {label: "Дата публикации", name: "date", widget: "datetime"}
      - {label: "Категория", name: "categories", widget: "list", default: ["Новости"]}
      - {label: "Текст (формулы через $$...$$)", name: "body", widget: "markdown"}

  # Настройка раздела "Сотрудники"
  - name: "authors"
    label: "Сотрудники"
    folder: "content/authors"
    create: true
    slug: "{{slug}}/_index"
    fields:
      - {label: "ФИО", name: "title", widget: "string"}
      - {label: "Должность", name: "role", widget: "string"}
      - {label: "Ученая степень", name: "degree", widget: "string", required: false}
      - {label: "Email", name: "email", widget: "string", required: false}
      - {label: "ORCID", name: "orcid", widget: "string", required: false}
      - {label: "Научные интересы", name: "interests", widget: "list", required: false}
      - {label: "Краткая биография", name: "body", widget: "markdown", required: false}